<?php
require_once './Control/ControlProduto.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
$controlProduto = new ControlProduto();
if ($acao == 'inserir')
{
	$produto = new Produto();
} else
{
	$produto = $controlProduto->pegarUmProduto($pk);
}
if ($acao != 'excluir')
{
    $produto->lang = $lang;
    if (($cbGaleriaFotoID != '') and ($cbGaleriaFotoID != '0'))
    {
        $produto->setGaleriaid(stripslashes($cbGaleriaFotoID));

    } else {
        $produto->setGaleriaid(NULL);
    }
    if (($cbGaleriaMediaID != '') and ($cbGaleriaMediaID != '0'))
    {
        $produto->setGalmediaid(stripslashes($cbGaleriaMediaID));

    } else {
        $produto->setGalmediaid(NULL);
    }
    if (($cbCategoriaID != '') and ($cbCategoriaID != '0'))
    {
        $produto->setCategoriaid(stripslashes($cbCategoriaID));
    } else {
        $produto->setCategoriaid(NULL);
    }
    $produto->setIdsite(stripslashes($txtIDSite));
    $produto->setNome(stripslashes($txtNome));
    $produto->setNomecurto(stripslashes($txtNomeCurto));
    $produto->setpreco(stripslashes($txtPreco));
    $produto->sDescricao(stripslashes($txtDescricao));
    $produto->sTag(stripslashes($txtTags));
    $produto->setHabilitado(stripslashes($cbHabilitado));
    //Definir Foto
    if ((isset($upFoto)) and ($upFoto != 'null'))
    {   
        Utilidades::deletarAquivo($produto->getFoto());
        Utilidades::deletarAquivo($produto->getFotoq());
        $nomeArquivo = md5(uniqid(time())) . $upFoto[0];
        copy('./upload_temp/' . $upFoto[0], './fotos/produtos/' . $nomeArquivo);
        copy('./upload_temp/thumbnails/' . $upFoto[0], './fotos/produtos/thumbnails/' . $nomeArquivo);
        $produto->setFotoq('./fotos/produtos/' . $nomeArquivo);
        $produto->setFoto('./fotos/produtos/thumbnails/' . $nomeArquivo);
        Utilidades::deletarAquivo('./upload_temp/' . $upFoto[0]);
        Utilidades::deletarAquivo('./upload_temp/thumbnails/' . $upFoto[0]);
    }
    //Remover Foto
    if ($remFoto == 'remFoto')
    {
        Utilidades::deletarAquivo($produto->getFoto());
        Utilidades::deletarAquivo($produto->getFotoq());
        $produto->setFoto(NULL);
        $produto->setFotoq(NULL);
    }
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlProduto->salvarProduto($produto);
                    break;
            case 'inserir':
                    $retorno = $controlProduto->salvarProduto($produto);
                    $acao = 'alterar';
                    $produto->find(true);
                    $pk = $produto->getProdutoid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlProduto->excluirProduto($produto);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#produtoID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>